Upsert data quality rules for a workflow
curl --request PUT \
--url https://api.kadoa.com/v4/workflows/{workflowId}/schema-validation-rules \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://api.kadoa.com/v4/workflows/{workflowId}/schema-validation-rules"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.kadoa.com/v4/workflows/{workflowId}/schema-validation-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rules": {}
}Data Quality
Upsert data quality rules
Patch-merge the per-field data quality rules on a workflow; rules take effect on the next run
PUT
/
v4
/
workflows
/
{workflowId}
/
schema-validation-rules
Upsert data quality rules for a workflow
Authorizations
API key for authentication
Path Parameters
ID of the workflow
Body
application/json
Map keyed by schema field name, with the per-field data quality rules for that field.
Validation rules for string fields.
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Rules updated successfully. Returns the merged ruleset.
Map keyed by schema field name, with the per-field data quality rules for that field.
Show child attributes
Show child attributes
⌘I